<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <base data-ice="baseUrl" href="">
  <title data-ice="title">Source | text-io-simulator</title>
  <link type="text/css" rel="stylesheet" href="css/style.css">
  <link type="text/css" rel="stylesheet" href="css/prettify-tomorrow.css">
  <script src="script/prettify/prettify.js"></script>
  <script src="script/manual.js"></script>
<meta name="description" content="Designed for simulating HP CodeWars input files and testing output, also has a version that can handle live input without modifing code."><meta property="twitter:card" content="summary"><meta property="twitter:title" content="text-io-simulator"><meta property="twitter:description" content="Designed for simulating HP CodeWars input files and testing output, also has a version that can handle live input without modifing code."></head>
<body class="layout-container" data-ice="rootContainer">

<header>
  <a href="./">Home</a>
  
  <a href="identifiers.html">Reference</a>
  <a href="source.html">Source</a>
  
  <div class="search-box">
  <span>
    <img src="./image/search.png">
    <span class="search-input-edge"></span><input class="search-input"><span class="search-input-edge"></span>
  </span>
    <ul class="search-result"></ul>
  </div>
<a href="https://gitlab.com/mr.code-joshua-cline/text-io-simulator.git">Repository</a></header>

<nav class="navigation" data-ice="nav"><div>
  <ul>
    
  </ul>
</div>
</nav>

<div class="content" data-ice="content"><h1>Source <img data-ice="coverageBadge" src="./badge.svg"><span data-ice="totalCoverageCount" class="total-coverage-count">17/18</span></h1>

<table class="files-summary" data-ice="files" data-use-coverage="true">
  <thead>
    <tr>
      <td>File</td>
      <td>Identifier</td>
      <td class="coverage">Document</td>
      <td style="display: none;">Size</td>
      <td style="display: none;">Lines</td>
      <td style="display: none;">Updated</td>
    </tr>
  </thead>
  <tbody>
    
  <tr data-ice="file">
      <td data-ice="filePath"><span><a href="file/scripts/development.js.html">scripts/development.js</a></span></td>
      <td data-ice="identifier" class="identifiers">-</td>
      <td class="coverage"><span data-ice="coverage">100 %</span><span data-ice="coverageCount" class="coverage-count">11/11</span></td>
      <td style="display: none;" data-ice="size">2870 byte</td>
      <td style="display: none;" data-ice="lines">120</td>
      <td style="display: none;" data-ice="updated">2018-11-04 05:44:27 (UTC)</td>
    </tr>
<tr data-ice="file">
      <td data-ice="filePath"><span><a href="file/scripts/live.js.html#errorLines=10">scripts/live.js</a></span></td>
      <td data-ice="identifier" class="identifiers">-</td>
      <td class="coverage"><span data-ice="coverage">85 %</span><span data-ice="coverageCount" class="coverage-count">6/7</span></td>
      <td style="display: none;" data-ice="size">1100 byte</td>
      <td style="display: none;" data-ice="lines">50</td>
      <td style="display: none;" data-ice="updated">2018-11-03 19:51:54 (UTC)</td>
    </tr>
</tbody>
</table>
</div>

<footer class="footer">
  Generated by <a href="https://esdoc.org">ESDoc<span data-ice="esdocVersion">(1.1.0)</span><img src="./image/esdoc-logo-mini-black.png"></a>
</footer>

<script src="script/search_index.js"></script>
<script src="script/search.js"></script>
<script src="script/pretty-print.js"></script>
<script src="script/inherited-summary.js"></script>
<script src="script/test-summary.js"></script>
<script src="script/inner-link.js"></script>
<script src="script/patch-for-local.js"></script>
</body>
</html>
